Package org.h2gis.functions.spatial.mesh

# Enum DelaunayData.MODE

java.lang.Object
java.lang.Enum<DelaunayData.MODE>
org.h2gis.functions.spatial.mesh.DelaunayData.MODE

All Implemented Interfaces:
  `Serializable`, `Comparable<DelaunayData.MODE>`, `java.lang.constant.Constable`

Enclosing class:
  DelaunayData

public static enum DelaunayData.MODE extends Enum<DelaunayData.MODE>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONSTRAINED`
`DELAUNAY`
`TESSELLATION`

## Method Summary

Modifier and Type
Method
Description
`static DelaunayData.MODE`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DelaunayData.MODE[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DELAUNAY

public static final DelaunayData.MODE DELAUNAY

### CONSTRAINED

public static final DelaunayData.MODE CONSTRAINED

### TESSELLATION

public static final DelaunayData.MODE TESSELLATION

## Method Details

### values

public static DelaunayData.MODE[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DelaunayData.MODE valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null